NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.CAM.InspectionMoveCollection Class Reference

Represents the Inspection move collection More...

Inheritance diagram for NXOpen.CAM.InspectionMoveCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Member Functions

unsafe
NXOpen.CAM.InspectionCircularMoveToPointBuilder 
CreateInspectionCircularMoveToPointBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection Circular Move To Point sub-operation. More...
 
unsafe
NXOpen.CAM.InspectionDeltaMoveBuilder 
CreateInspectionDeltaMoveBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection Delta Move sub-operation. More...
 
unsafe
NXOpen.CAM.InspectionLinear5axisMoveToPointBuilder 
CreateInspectionLinear5axisMoveToPointBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection Linear 5axis Move To Point sub-operation. More...
 
unsafe
NXOpen.CAM.InspectionLinearMoveToPointBuilder 
CreateInspectionLinearMoveToPointBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection Linear Move To Point sub-operation. More...
 
unsafe
NXOpen.CAM.InspectionMeasurePointBuilder 
CreateInspectionMeasurePointBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection Measure Point sub-operation. More...
 
unsafe
NXOpen.CAM.InspectionPolarGridBuilder 
CreateInspectionPolarGridBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection Polar Grid sub-operation. More...
 
unsafe
NXOpen.CAM.InspectionScanArcBuilder 
CreateInspectionScanArcBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection Scan Arc sub-operation. More...
 
unsafe
NXOpen.CAM.InspectionScanCurve5AxisBuilder 
CreateInspectionScanCurve5axisBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection 5 Axis Scan Curve sub-operation. More...
 
unsafe
NXOpen.CAM.InspectionScanCurveBuilder 
CreateInspectionScanCurveBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection Scan Curve sub-operation. More...
 
unsafe
NXOpen.CAM.InspectionScanHelixBuilder 
CreateInspectionScanHelixBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection Scan Helix sub-operation. More...
 
unsafe
NXOpen.CAM.InspectionScanLineBuilder 
CreateInspectionScanLineBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection Scan Line sub-operation. More...
 
unsafe
NXOpen.CAM.InspectionSensorMassEditBuilder 
CreateInspectionSensorMassEditBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection subop sensor mass edit dialog builder. More...
 
unsafe
NXOpen.CAM.InspectionUVGridBuilder 
CreateInspectionUvgridBuilder (NXOpen.CAM.InspectionMoveSubop param)
 Create a CMM Inspection Rectangular UV Grid sub-operation. More...
 
unsafe
NXOpen.CAM.InspectionMoveSubop 
FindObject (string sid)
 Finds the CAM. More...
 
NXOpen.CAM.InspectionMoveSubop[] ToArray ()
 Returns an array of NXOpen.CAM.InspectionMoveSubop objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents the Inspection move collection

To obtain an instance of this class, refer to NXOpen.CAM.InspectionOperation

Created in NX7.0.0

Member Function Documentation

unsafe NXOpen.CAM.InspectionCircularMoveToPointBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionCircularMoveToPointBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection Circular Move To Point sub-operation.

Created in NX1899.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
CMM Inspection Circular Move To Point Builder
unsafe NXOpen.CAM.InspectionDeltaMoveBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionDeltaMoveBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection Delta Move sub-operation.

Created in NX7.5.2

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
CMM Inspection Delta Move Builder
unsafe NXOpen.CAM.InspectionLinear5axisMoveToPointBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionLinear5axisMoveToPointBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection Linear 5axis Move To Point sub-operation.

Created in NX8.5.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
CMM Inspection Linear 5axis Move To Point Builder
unsafe NXOpen.CAM.InspectionLinearMoveToPointBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionLinearMoveToPointBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection Linear Move To Point sub-operation.

Created in NX7.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
CMM Inspection Linear Move To Point Builder
unsafe NXOpen.CAM.InspectionMeasurePointBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionMeasurePointBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection Measure Point sub-operation.

Created in NX7.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
CMM Inspection Measure Point Builder
unsafe NXOpen.CAM.InspectionPolarGridBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionPolarGridBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection Polar Grid sub-operation.

Created in NX11.0.2

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
CMM Inspection Polar Grid Builder
unsafe NXOpen.CAM.InspectionScanArcBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionScanArcBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection Scan Arc sub-operation.

Created in NX7.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
CMM Inspection Scan Arc Builder
unsafe NXOpen.CAM.InspectionScanCurve5AxisBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionScanCurve5axisBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection 5 Axis Scan Curve sub-operation.

Created in NX7.5.2

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
CMM Inspection 5 Axis Scan Curve Builder
unsafe NXOpen.CAM.InspectionScanCurveBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionScanCurveBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection Scan Curve sub-operation.

Created in NX7.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
CMM Inspection Scan Curve Builder
unsafe NXOpen.CAM.InspectionScanHelixBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionScanHelixBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection Scan Helix sub-operation.

Created in NX8.5.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
CMM Inspection Scan Helix Builder
unsafe NXOpen.CAM.InspectionScanLineBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionScanLineBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection Scan Line sub-operation.

Created in NX7.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
CMM Inspection Scan Line Builder
unsafe NXOpen.CAM.InspectionSensorMassEditBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionSensorMassEditBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection subop sensor mass edit dialog builder.

Created in NX7.5.3

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
Inspection Subop Sensor Mass Edit builder created
unsafe NXOpen.CAM.InspectionUVGridBuilder NXOpen.CAM.InspectionMoveCollection.CreateInspectionUvgridBuilder ( NXOpen.CAM.InspectionMoveSubop  param)
inline

Create a CMM Inspection Rectangular UV Grid sub-operation.

Created in NX7.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
paramInspection Move object
Returns
CMM Inspection UV Grid Builder
override int NXOpen.CAM.InspectionMoveCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

unsafe NXOpen.CAM.InspectionMoveSubop NXOpen.CAM.InspectionMoveCollection.FindObject ( string  sid)
inline

Finds the CAM.

InspectionMoveSubop object with the given identifier as recorded in a journal.

Created in NX7.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
sidthe name of the object
Returns
the found object
NXOpen.CAM.InspectionMoveSubop [] NXOpen.CAM.InspectionMoveCollection.ToArray ( )
inline

Returns an array of NXOpen.CAM.InspectionMoveSubop objects.

Property Documentation

Tag NXOpen.CAM.InspectionMoveCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.